<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.greenorange.promotion.mapper.CourseMapper">

    <resultMap id="BaseResultMap" type="com.greenorange.promotion.model.entity.Course">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="VARCHAR"/>
            <result property="detail" column="detail" jdbcType="VARCHAR"/>
            <result property="promoCodeDesc" column="promoCodeDesc" jdbcType="VARCHAR"/>
            <result property="image" column="image" jdbcType="VARCHAR"/>
            <result property="originPrice" column="originPrice" jdbcType="DECIMAL"/>
            <result property="discountPrice" column="discountPrice" jdbcType="DECIMAL"/>
            <result property="orderCount" column="orderCount" jdbcType="INTEGER"/>
            <result property="firstLevelRate" column="firstLevelRate" jdbcType="DECIMAL"/>
            <result property="secondLevelRate" column="secondLevelRate" jdbcType="DECIMAL"/>
            <result property="isDelete" column="isDelete" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="updateTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,name,type,
        detail,promoCodeDesc,image,
        originPrice,discountPrice,orderCount,
        firstLevelRate,secondLevelRate,isDelete,
        createTime,updateTime
    </sql>
</mapper>
